List projects with satellite data
curl --request GET \
--url https://vcm-fyi-api.fly.dev/v1/satellite/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://vcm-fyi-api.fly.dev/v1/satellite/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://vcm-fyi-api.fly.dev/v1/satellite/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"project_id": "<string>",
"has_boundary": true,
"boundary_source": "<string>",
"area_km2": 123,
"integrity_score": 123,
"risk_level": "<string>",
"risk_trajectory": "<string>",
"total_loss_ha": 123,
"total_loss_pct": 123,
"loss_by_year": {},
"peak_loss_year": 123,
"peak_loss_ha": 123,
"alert_count_12m": 123,
"alert_area_ha": 123,
"fire_count_12m": 123,
"last_updated": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Satellite
List projects with satellite data
List all projects that have satellite verification data available.
Returns satellite metrics for each project including integrity score, risk level, tree cover loss, and alert counts.
Filtering:
risk_level: Filter by risk level (VERY_LOW,LOW,MEDIUM,HIGH)has_boundary: Only return projects with boundary data (default:true)
Pagination: Uses limit/offset (not page-based). Default: 100 results.
GET
/
v1
/
satellite
/
List projects with satellite data
Authorizations
Query Parameters
Pattern:
^(VERY_LOW|LOW|MEDIUM|HIGH)$Required range:
1 <= x <= 1000Required range:
x >= 0Response
List of projects with satellite verification metrics